﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

namespace RadtabStripTestProject
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!this.IsPostBack)
            {
                RadTab myTab = AddTab("MyPage", "MyPage");
                RadPageView myPageView = AddPageView("MyPage", "MyPage.aspx");

                myTab.PageViewID = myPageView.ID;

                myTab = AddTab("Bing", "Bing");
                myPageView = AddPageView("Bing", "http://www.bing.com/");
                myTab.PageViewID = myPageView.ID;

                RadTabStrip1.SelectedIndex = 0;
                RadTabStrip1.MultiPage.SelectedIndex = 0;
            }
        }

        private RadTab AddTab(String TabName, String TabValue)
        {
            // add the tab
            RadTab tab = new RadTab(TabName);
            tab.Enabled = true;
            tab.Value = TabValue;
            tab.Visible = true;
            RadTabStrip1.Tabs.Add(tab);
            return tab;
        }

        private RadPageView AddPageView(String PageViewName, String ContentUrl)
        {
            // add the page view
            RadPageView pageView = new RadPageView();
            pageView.ID = "RadPageView_" + PageViewName;
            pageView.ContentUrl = ContentUrl;
            RadMultiPage1.PageViews.Add(pageView);
            pageView.CssClass = "multiPageView";
            pageView.Height = 700;
            pageView.Width = 1000;
            return pageView;
        }
    }
}